Subject: Re: [PATCH net-next] net: disallow drivers with buggy VLAN accel to register_netdevice()

From: Vlad Yasevich <[email-masked]>
Date: Wed, 30 Jan 2013 08:36:08 -0500

On 01/29/2013 10:56 PM, David Miller wrote:
> From: Vlad Yasevich <[email-masked]>
> Date: Tue, 29 Jan 2013 20:17:45 -0500
> 
>> On 01/29/2013 08:14 PM, Michał Mirosław wrote:
>>> Instead of jumping aroung bugs that are easily fixed just don't let
>>> them in:
>>> affected drivers should be either fixed or have NETIF_F_HW_VLAN_FILTER
>>> removed from advertised features.
>>>
>>> Quick grep in drivers/net shows two drivers that have
>>> NETIF_F_HW_VLAN_FILTER
>>> but not ndo_vlan_rx_add/kill_vid(), but those are false-positives
>>> (features
>>> are commented out).
>>>
>>> OTOH two drivers have ndo_vlan_rx_add/kill_vid() implemented but don't
>>> advertise NETIF_F_HW_VLAN_FILTER. Those are:
>>
>> I am a bit hesitant to completely disable drivers, but I guess it
>> would force people to fix their drivers if this is applied.
> 
> I think an improperly implemented driver should be BUG trapped as soon
> as possible.
> 
> I've applied this patch, thanks.
> 

OK,  I'll rebase my series on top of this and get rid the buggy calls.

Thanks
-vlad